プライバシー設定

必須機能

セキュリティとサイトの基本機能に必要です。

常に有効

Landing 診断とマスクされたリプレイ

このタブ専用の匿名 ID を使用し、アカウントと関連付けずに、公開サイトへの訪問、離脱、登録リンクの操作を測定します。すべてのテキストをマスクし、フォームは記録対象から除外します。

任意の利用状況解析

PostHogの利用状況解析を許可しますか?フッターでいつでも変更できます。

この公開サイトでのセッションリプレイも許可する

任意のサイト横断モードのリプレイには公開ページと操作が表示され、入力内容や非公開コンテンツはマスクされます。Appのリプレイは別途選択します。

任意の利用状況解析の許可が必要です。このサイト横断モードのリプレイは初期設定では無効です。上の Landing モードは別途動作します。

ブラウザーの分析設定でアカウントの分析が有効になることはありません。

検索は使用時のみ読み込みます。以下ですべてのカテゴリを閲覧できます。

コメントとコミュニティ

コメントのリアクションを準備

個別の許可に基づき、指定コメント/バージョンと希望するLIKE状態を確認します。IG実行アカウントの状態は不明のままです。トークンを返し、公開はしません。

POST /community-engagement-api/reactions/prepare

契約確認日: · sha256:9aedef8d43dd4514

概要

個別の許可に基づき、指定コメント/バージョンと希望するLIKE状態を確認します。IG実行アカウントの状態は不明のままです。トークンを返し、公開はしません。

HTTP成功は完了ではなく受理の場合があります。バックグラウンド処理はIDを保存し、同じ処理を完了まで確認します。予約・受理された投稿はプラットフォーム確認後のみ公開済みです。タイムアウトだけでは結果を判断できません。

認証と権限

受け付ける認証情報の種類
user_session, delegated_oauth, personal_access_token
委任された機能権限
agent:engage
ワークスペースの最低ロール
editor
アクセス範囲
このユーザーがアクセスを許可されたリソース
すべてのワークスペースへの同意が必要
いいえ
状態を変更
はい
操作完了時
synchronous_http_response

トークンは所有者の権利内でのみ使えます。各要求で所属、リソース所有権、選択ワークスペース、付与機能を確認します。coreとfullは表示だけを変え、アクセスは付与しません。

リクエストのフィールド

必須とは、親オブジェクトと選択分岐内で必須という意味です。必須の子があっても任意の親は必須になりません。以下のルールとフィールド名は契約から転記しています。

リクエストのフィールド
フィールド/分岐型/必須制約
$object親要素内で必須
  • additionalProperties: false
workspace_idstring親要素内で必須
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
social_account_idstring親要素内で必須
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
social_comment_idstring親要素内で必須
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
expected_comment_versioninteger親要素内で必須
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
operationstring親要素内で必須
  • enum: ["like","unlike"]
reaction_typestring親要素内で必須
  • const: "LIKE"
idempotency_keystring親要素内で必須
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
完全なJSON Schema
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "workspace_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "social_account_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "social_comment_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "expected_comment_version": {
      "type": "integer",
      "exclusiveMinimum": 0,
      "maximum": 9007199254740991
    },
    "operation": {
      "type": "string",
      "enum": [
        "like",
        "unlike"
      ]
    },
    "reaction_type": {
      "type": "string",
      "const": "LIKE"
    },
    "idempotency_key": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    }
  },
  "required": [
    "workspace_id",
    "social_account_id",
    "social_comment_id",
    "expected_comment_version",
    "operation",
    "reaction_type",
    "idempotency_key"
  ],
  "additionalProperties": false
}

レスポンスと完了条件

成功時のHTTPステータス: 200. 操作完了時: synchronous_http_response.

HTTP成功は完了ではなく受理の場合があります。バックグラウンド処理はIDを保存し、同じ処理を完了まで確認します。予約・受理された投稿はプラットフォーム確認後のみ公開済みです。タイムアウトだけでは結果を判断できません。

必須とは、親オブジェクトと選択分岐内で必須という意味です。必須の子があっても任意の親は必須になりません。以下のルールとフィールド名は契約から転記しています。

レスポンスと完了条件
フィールド/分岐型/必須制約
$object親要素内で必須—
contract_versionstring親要素内で必須
  • const: "community-reactions.v1"
prepare_tokenstring親要素内で必須
  • pattern: "^[a-f0-9]{64}$"
reviewed_digeststring親要素内で必須
  • pattern: "^[a-f0-9]{64}$"
expires_atstring親要素内で必須
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
reviewobject親要素内で必須—
reviewanyOf 1object親要素内で必須—
review.social_account_idanyOf 1string親要素内で必須
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
review.social_comment_idanyOf 1string親要素内で必須
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
review.social_post_idanyOf 1string親要素内で必須
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
review.provider_page_idanyOf 1string親要素内で必須—
review.provider_post_idanyOf 1string親要素内で必須—
review.provider_comment_idanyOf 1string親要素内で必須—
review.expected_comment_versionanyOf 1integer親要素内で必須
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
review.operationanyOf 1string親要素内で必須
  • enum: ["like","unlike"]
review.reaction_typeanyOf 1string親要素内で必須
  • const: "LIKE"
review.desired_likedanyOf 1boolean親要素内で必須—
review.current_likedanyOf 1boolean親要素内で必須—
review.accepted_app_idanyOf 1string親要素内で必須—
review.oauth_generation_idanyOf 1string親要素内で必須
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
review.grant_idanyOf 1string親要素内で必須
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
reviewanyOf 2object親要素内で必須—
review.social_account_idanyOf 2string親要素内で必須
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
review.social_comment_idanyOf 2string親要素内で必須
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
review.social_post_idanyOf 2string親要素内で必須
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
review.provider_page_idanyOf 2string親要素内で必須—
review.provider_post_idanyOf 2string親要素内で必須—
review.provider_comment_idanyOf 2string親要素内で必須—
review.expected_comment_versionanyOf 2integer親要素内で必須
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
review.operationanyOf 2string親要素内で必須
  • enum: ["like","unlike"]
review.reaction_typeanyOf 2string親要素内で必須
  • const: "LIKE"
review.desired_likedanyOf 2boolean親要素内で必須—
review.current_likedanyOf 2null親要素内で必須—
review.accepted_app_idanyOf 2string親要素内で必須—
review.oauth_generation_idanyOf 2string親要素内で必須
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
review.grant_idanyOf 2string親要素内で必須
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
review.platformanyOf 2string親要素内で必須
  • const: "instagram"
review.provider_instagram_user_idanyOf 2string親要素内で必須
  • pattern: "^[1-9][0-9]{1,24}$"
review.native_state_readbackanyOf 2boolean親要素内で必須
  • const: false
完全なJSON Schema
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "contract_version": {
      "type": "string",
      "const": "community-reactions.v1"
    },
    "prepare_token": {
      "type": "string",
      "pattern": "^[a-f0-9]{64}$"
    },
    "reviewed_digest": {
      "type": "string",
      "pattern": "^[a-f0-9]{64}$"
    },
    "expires_at": {
      "type": "string",
      "format": "date-time",
      "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
    },
    "review": {
      "anyOf": [
        {
          "type": "object",
          "properties": {
            "social_account_id": {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            "social_comment_id": {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            "social_post_id": {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            "provider_page_id": {
              "type": "string"
            },
            "provider_post_id": {
              "type": "string"
            },
            "provider_comment_id": {
              "type": "string"
            },
            "expected_comment_version": {
              "type": "integer",
              "exclusiveMinimum": 0,
              "maximum": 9007199254740991
            },
            "operation": {
              "type": "string",
              "enum": [
                "like",
                "unlike"
              ]
            },
            "reaction_type": {
              "type": "string",
              "const": "LIKE"
            },
            "desired_liked": {
              "type": "boolean"
            },
            "current_liked": {
              "type": "boolean"
            },
            "accepted_app_id": {
              "type": "string"
            },
            "oauth_generation_id": {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            "grant_id": {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            }
          },
          "required": [
            "social_account_id",
            "social_comment_id",
            "social_post_id",
            "provider_page_id",
            "provider_post_id",
            "provider_comment_id",
            "expected_comment_version",
            "operation",
            "reaction_type",
            "desired_liked",
            "current_liked",
            "accepted_app_id",
            "oauth_generation_id",
            "grant_id"
          ]
        },
        {
          "type": "object",
          "properties": {
            "social_account_id": {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            "social_comment_id": {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            "social_post_id": {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            "provider_page_id": {
              "type": "string"
            },
            "provider_post_id": {
              "type": "string"
            },
            "provider_comment_id": {
              "type": "string"
            },
            "expected_comment_version": {
              "type": "integer",
              "exclusiveMinimum": 0,
              "maximum": 9007199254740991
            },
            "operation": {
              "type": "string",
              "enum": [
                "like",
                "unlike"
              ]
            },
            "reaction_type": {
              "type": "string",
              "const": "LIKE"
            },
            "desired_liked": {
              "type": "boolean"
            },
            "current_liked": {
              "type": "null"
            },
            "accepted_app_id": {
              "type": "string"
            },
            "oauth_generation_id": {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            "grant_id": {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            "platform": {
              "type": "string",
              "const": "instagram"
            },
            "provider_instagram_user_id": {
              "type": "string",
              "pattern": "^[1-9][0-9]{1,24}$"
            },
            "native_state_readback": {
              "type": "boolean",
              "const": false
            }
          },
          "required": [
            "social_account_id",
            "social_comment_id",
            "social_post_id",
            "provider_page_id",
            "provider_post_id",
            "provider_comment_id",
            "expected_comment_version",
            "operation",
            "reaction_type",
            "desired_liked",
            "current_liked",
            "accepted_app_id",
            "oauth_generation_id",
            "grant_id",
            "platform",
            "provider_instagram_user_id",
            "native_state_readback"
          ]
        }
      ]
    }
  },
  "required": [
    "contract_version",
    "prepare_token",
    "reviewed_digest",
    "expires_at",
    "review"
  ]
}

エラーと安全な再試行

HTTPステータスとレスポンス本文を確認します。400の検証エラーにはZodErrorが含まれる場合があります。ハンドラーエラーはerror、message、codeを使用します。診断用にrequest_idまたはx-request-idを保持し、認証情報は含めないでください。401/403はアクセス問題を解消してから再試行し、429はRetry-Afterに従います。書き込み結果が不確か、または5xxの場合は、まず既存の結果を取得してください。冪等性キーは対応する操作でのみ再利用します。再試行の挙動は操作ごとに異なり、厳密に一回の配信は保証しません。

トラブルシューティングガイド

例

スキーマ確認済みの架空値の例です。認可されたID、準備済みメディア、確認済みの公開日時に置き換え、書き込み前に適格性を確認してください。このページはAPIを呼びません。

サーバーのSOSOAPI_ACCESS_TOKENに操作が受け付ける認証情報を設定し、ブラウザーコードに含めないでください。AIエージェントはsosoapi auth loginでブラウザーログインし、CLIに更新を任せます。

request.json

{
  "workspace_id": "11111111-1111-4111-8111-111111111111",
  "social_account_id": "11111111-1111-4111-8111-111111111111",
  "social_comment_id": "11111111-1111-4111-8111-111111111111",
  "expected_comment_version": 1,
  "operation": "like",
  "reaction_type": "LIKE",
  "idempotency_key": "11111111-1111-4111-8111-111111111111"
}

cURL

curl --request POST \
  "https://gqeshlawtcexsapabaui.supabase.co/functions/v1/community-engagement-api/reactions/prepare" \
  -H "Authorization: Bearer $SOSOAPI_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  --data-binary @request.json

JavaScript

// Server-side JavaScript. Do not print tokens or credential-bearing responses.
const token = process.env.SOSOAPI_ACCESS_TOKEN;
if (!token) throw new Error("Set an accepted credential for this operation");
const response = await fetch("https://gqeshlawtcexsapabaui.supabase.co/functions/v1/community-engagement-api/reactions/prepare", {
  method: "POST",
  headers: { "Content-Type": "application/json", Authorization: "Bearer " + token },
  body: JSON.stringify({
  "workspace_id": "11111111-1111-4111-8111-111111111111",
  "social_account_id": "11111111-1111-4111-8111-111111111111",
  "social_comment_id": "11111111-1111-4111-8111-111111111111",
  "expected_comment_version": 1,
  "operation": "like",
  "reaction_type": "LIKE",
  "idempotency_key": "11111111-1111-4111-8111-111111111111"
})
});
const result = await response.json();
// Check response.ok, the operation-specific body and completion state before continuing.

CLI

npx sosoapi api post /community-engagement-api/reactions/prepare < request.json

合成レスポンス例

{
  "contract_version": "community-reactions.v1",
  "prepare_token": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
  "reviewed_digest": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
  "expires_at": "2099-01-15T09:00:00Z",
  "review": {
    "social_account_id": "11111111-1111-4111-8111-111111111111",
    "social_comment_id": "11111111-1111-4111-8111-111111111111",
    "social_post_id": "11111111-1111-4111-8111-111111111111",
    "provider_page_id": "example",
    "provider_post_id": "example",
    "provider_comment_id": "example",
    "expected_comment_version": 1,
    "operation": "like",
    "reaction_type": "LIKE",
    "desired_liked": false,
    "current_liked": false,
    "accepted_app_id": "example",
    "oauth_generation_id": "11111111-1111-4111-8111-111111111111",
    "grant_id": "11111111-1111-4111-8111-111111111111"
  }
}

MCP: sosoapi_reaction_prepare